Bug 245875 - New port: x11-themes/numix-icon-theme Numix is the official icon theme from the Numix Project
Summary: New port: x11-themes/numix-icon-theme Numix is the official icon theme from t...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-24 13:34 UTC by Vincent DEFERT
Modified: 2020-05-08 07:44 UTC (History)
2 users (show)

See Also:


Attachments
Compressed SHAR of the port (96.68 KB, application/x-bzip)
2020-04-24 13:36 UTC, Vincent DEFERT
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent DEFERT 2020-04-24 13:34:26 UTC

    
Comment 1 Vincent DEFERT 2020-04-24 13:36:18 UTC
Created attachment 213749 [details]
Compressed SHAR of the port
Comment 2 Hiroki Tagato freebsd_committer 2020-05-06 06:59:03 UTC
Hi, thanks for proposing a new port.

Do you mind changing PORTNAME from:

numix-icons

to:

numix-icon-theme

to match the GitHub project name?
Comment 3 Vincent DEFERT 2020-05-06 09:00:43 UTC
Of course, PORTNAME can be changed.

I have initially suggested numix-icons for consistency with the existing numix-themes port.

However, other OS usually name these packages numix-icon-theme and numix-gtk-theme respectively.

Let me know if you want me to resubmit my shar file or if you prefer to change the name yourself.
Comment 4 Hiroki Tagato freebsd_committer 2020-05-06 10:27:08 UTC
(In reply to Vincent DEFERT from comment #3)

Thanks for the confirmation. I will update PORTNAME.
Comment 5 Hiroki Tagato freebsd_committer 2020-05-07 01:41:58 UTC
(In reply to Vincent DEFERT from comment #3)

By the way, the Numix GTK theme (x11-themes/numix-themes) currently does not have a maintainer.

As the maintainer of the Numix icon theme, would you be interested in taking over maintainership of numix-themes port?

I guess having both ports maintained is good for Numix loving desktop users :-)
Comment 6 Vincent DEFERT 2020-05-07 07:33:34 UTC
Yes, I can take ownership of numix-themes too.
Besides, would it be possible to rename it to numix-gtk-theme?
Comment 7 Hiroki Tagato freebsd_committer 2020-05-07 08:06:18 UTC
(In reply to Vincent DEFERT from comment #6)

Yes of course, the port name can be changed.

Can you file a separate PR to take maintainership and change port name?
Comment 8 Vincent DEFERT 2020-05-07 09:12:44 UTC
Done:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=246275
Comment 9 commit-hook freebsd_committer 2020-05-08 00:12:22 UTC
A commit references this bug:

Author: tagattie
Date: Fri May  8 00:11:44 UTC 2020
New revision: 534307
URL: https://svnweb.freebsd.org/changeset/ports/534307

Log:
  Numix is the official icon theme from the Numix Project. It is heavily
  inspired by, and based upon parts of the Elementary, Humanity and
  Gnome icon themes. Numix is designed to be used along-side an
  application icon theme like Numix Circle or Numix Square.

  WWW: https://numixproject.github.io

  PR:		245875
  Submitted by:	Vincent DEFERT <20.100@defert.com>
  Approved by:	ehaupt (mentor)

Changes:
  head/x11-themes/Makefile
  head/x11-themes/numix-icon-theme/
  head/x11-themes/numix-icon-theme/Makefile
  head/x11-themes/numix-icon-theme/distinfo
  head/x11-themes/numix-icon-theme/pkg-descr
  head/x11-themes/numix-icon-theme/pkg-plist
Comment 10 commit-hook freebsd_committer 2020-05-08 07:42:58 UTC
A commit references this bug:

Author: tagattie
Date: Fri May  8 07:42:14 UTC 2020
New revision: 54112
URL: https://svnweb.freebsd.org/changeset/doc/54112

Log:
  Add Vincent DEFERT to contributors

  Maintainer of:	print/brlaser
  		x11-themes/numix-icon-theme
  		x11-themes/numix-theme

  PR:		245875
  Approved by:	ehaupt (mentor)

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 11 Hiroki Tagato freebsd_committer 2020-05-08 07:44:16 UTC
Committed, thanks!